Named position under GH

Is there a way to get (or even defined) the Rhino named positions under GH?
Even futher have objects IDs affected and the transformation or or Plane of referenced of objects linked to it.

sure there are many camera components to manipulate camera

human can modify viewports and get nbamed views

asl there are plenty of ways to get guid of objects

Hi @arkadius.belov , my question was about named positions and not named views… but thanks anyway for that info.

Best Regards

This works:
named_positions.gh (4.6 KB)
2019-06-18%2011_51_30-Window

private void RunScript(int i, bool Restore, ref object Names)
{
Names = this.RhinoDocument.NamedPositions.Names;
if(Restore){
this.RhinoDocument.NamedPositions.Restore(this.RhinoDocument.NamedPositions.Ids[i]);
}
}

(minimal script to let you grasp a start point to work with them)

You can probably create/edit/delete named positions directly in grasshopper through coding… (you’ll need to use object guids and such).
I never used named positions and I didn’t even know about they existence.

So about

I’m not sure what do you mean.

[quote=“maje90, post:4, topic:84589”]
(minimal script to let you grasp a start point to work with them)
[/quote] humm would love to but unfortunaltely i’m totally unable to script!!
Anyway thanks for your “minimal” script which should already help me in some cases and might inspire others to get it even better!
Concerning IDs and tranformation, named position is just a “records” of some object different position.
For example a name position of a door open a 70° would have the IDs of the door, the handle and others accessories fixed on it and a transformation of a rotation of 70°. Getting those IDs and the transformation would allows to had other accessories or had other named position for the same assemblies.

Thanks,
Best Regards

From what I’ve seen in my first attempts, named positions doesn’t store a transformation globally but “per-object”.
I mean, you could switch from “Position 1” and “Position 2” some object that actually rotate by 90° around Z axis, but in the same time you could also have another object that just translated.
Every object will have its own transformation.

It is probably possible to “extract” the transformation happening to a specific object from a specific starting “Position” to another specific destination “Position” and applying the same transformation to another object… and/or adressing it to the same “Positions”